Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2894673003: Force AXPlatformNode to have the same unique id as the owning BA object. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by dougt
Modified:
5 months ago
Reviewers:
dmazzoni
CC:
chromium-reviews, aboxhall+watch_chromium.org, nektar+watch_chromium.org, jam, yuzo+watch_chromium.org, dougt+watch_chromium.org, darin-cc_chromium.org, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org, je_julie
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Force AXPlatformNode to have the same unique id as the owning BA object. This CL allows us to override the AXPlatformNode's GetFromUniqueId method. In BrowserAccessibilityComWin we implement this by using the BrowserAccessibility GetFromUniqueId. BUG=703369 Review-Url: https://codereview.chromium.org/2894673003 Cr-Commit-Position: refs/heads/master@{#473771} Committed: https://chromium.googlesource.com/chromium/src/+/df2eff4a9cd6e379198f2c7cebdf6a11ea7157c1

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -1 line) Patch
M content/browser/accessibility/browser_accessibility_com_win.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/accessibility/browser_accessibility_com_win.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M ui/accessibility/platform/ax_platform_node.h View 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  win_chromium_rel_ng   chromium_presubmit   mac_chromium_rel_ng   mac_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   mac_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 24 (18 generated)
dougt
dmazzoni, ptal
5 months ago (2017-05-19 22:44:36 UTC) #11
dmazzoni
lgtm
5 months ago (2017-05-22 21:09:42 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894673003/1
5 months ago (2017-05-22 22:04:42 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/459931)
5 months ago (2017-05-22 23:01:35 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894673003/1
5 months ago (2017-05-23 00:28:33 UTC) #21
commit-bot: I haz the power
5 months ago (2017-05-23 01:12:41 UTC) #24
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/df2eff4a9cd6e379198f2c7cebdf...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa